Update finding statuses
POST
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
application/json- body
repo*stringprNumber*integerupdates*array<>Items
1 <= items <= 100PullReviewState
application/json- response
threadId*stringreviewedHeadSha*string|nullcurrentRequestId*string|nullrounds*array<>findings*array<>curl -X POST 'https://api.capy.ai/api/v1/reviews/findings/status' \ -H 'Content-Type: application/json' \ -d '{ "repo": "string", "prNumber": 0, "updates": [ { "findingId": "string", "status": "open" } ]}'{ "threadId": "string", "reviewedHeadSha": "string", "currentRequestId": "string", "rounds": [ { "requestId": "string", "tier": "low", "baselineSha": "string", "status": "pending", "trigger": "automatic", "githubReviewId": 0, "title": "string", "headSha": "string", "failureReason": "string", "failureMessage": "string", "memory": { "projectId": "string", "volumeId": "string", "versionId": "string" }, "memoryReason": "no_project", "memorySelection": "index", "createdAt": "string", "settledAt": "string" } ], "findings": [ { "id": "string", "ruleId": "string", "memory": { "volumeId": "string", "versionId": "string", "path": "string", "title": "string" }, "telemetry": { "window": "string", "note": "string" }, "requestId": "string", "observingHeadSha": "string", "githubAnchor": { "headSha": "string", "file": "string", "line": 0, "startLine": 0, "side": "LEFT", "outdated": true }, "kind": "issue", "severity": "low", "confidence": "confirmed", "category": "bug", "summary": "string", "detail": "string", "suggestion": "string", "file": "string", "line": 0, "startLine": 0, "files": [ "string" ], "status": "open", "statusSource": "review", "statusReason": "string", "githubCommentId": 0, "githubCommentUrl": "string", "humanResolvedAt": "string", "githubDeliveryExpired": true, "humanResolvedBy": "string", "humanResolvedHeadSha": "string", "createdAt": "string", "updatedAt": "string" } ]}